cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"id": "cmvuqq2ms0045vdw4hm2zqxfr",
"invoiceId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"orderId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:58:54.292Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:58:54.292Z"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Get an invoice
One invoice.
Scope: invoice:read
GET
/
api
/
merchant
/
v1
/
stores
/
{storeId}
/
invoices
/
{invoiceId}
cURL
curl -X GET "https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}" \
-H "Authorization: Bearer $JOIN_MARKT_API_KEY"const res = await fetch("https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.JOIN_MARKT_API_KEY}`,
},
})
const data = await res.json()import os, requests
res = requests.get(
"https://dash.joinmarkt.com/api/merchant/v1/stores/STORE_ID/invoices/{invoiceId}",
headers={"Authorization": f"Bearer {os.environ['JOIN_MARKT_API_KEY']}"},
)
data = res.json(){
"id": "cmvuqq2ms0045vdw4hm2zqxfr",
"invoiceId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"orderId": "ORD-A2NG-YPMS-922G-3SHD-4U34",
"storeId": "cmvuo0akc0002vdesum2w5xa1",
"status": "processing",
"productName": "Obsidian — Gaming Store Theme",
"price": 99.99,
"paid": null,
"paymentMethod": "Checkout",
"customerEmail": "",
"country": null,
"createdAt": "2026-10-30T08:58:54.292Z",
"completedAt": null,
"updatedAt": "2026-10-30T08:58:54.292Z"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}{
"error": "Product not found",
"code": "NOT_FOUND"
}Authorizations
Your Merchant API key. Create one in Dashboard → Developers → API keys.
Path Parameters
Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.
Invoice id. Accepts the internal id or the public id (for example PRD-…).
Response
The invoice.
The response is of type object.

